Filter::LevelRange(3)

NAME
Log::Log4perl::Filter::LevelRange - Filter for a range of log levels

SYNOPSIS
    log4perl.filter.Match1               = Log::Log4perl::Filter::LevelRange
    log4perl.filter.Match1.LevelMin      = INFO
    log4perl.filter.Match1.LevelMax      = ERROR
    log4perl.filter.Match1.AcceptOnMatch = true

DESCRIPTION
This Log4perl custom filter checks if the current message has a priority matching a predefined range. The "LevelMin" and "LevelMax" parameters define the levels (choose from "DEBUG", "INFO", "WARN", "ERROR", "FATAL") marking the window of allowed messages priorities. The additional parameter "AcceptOnMatch" defines if the filter is supposed to pass or block the message ("true" or "false").

SEE ALSO
Log::Log4perl::Filter, Log::Log4perl::Filter::LevelMatch, Log::Log4perl::Filter::StringRange, Log::Log4perl::Filter::Boolean

AUTHOR
Mike Schilli, <log4perl@perlmeister.com>, 2003